<?php
/**
 * @file
 * Hooks specific to the Paragraph filter and pagination widget module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter filtered form elements.
 *
 * @param $element
 *   The array of form elements that will be rendered to UI.
 * @param $settings
 *   All widget settings.
 */
function hook_filtered_form_elements_alter(array &$element, array &$settings) {
  // Show the filter by field as text instead of form field.
  for ($i = 0; $i <= $element['#max_delta']; $i++) {
    if (!empty($element[$i]['subform'][$settings['filter_by']])) {
      // Hide the form field for the paragraph.
      $is_new_form = !empty($element[$i]['#attributes']['class'] && in_array('new-paragraph-form', $element[$i]['#attributes']['class']));
      if (!$is_new_form) {
        $element[$i]['subform'][$settings['filter_by']]['#access'] = FALSE;

        // Display above hidden field as disabled field text;
        $field_name = $settings['filter_by'] . '_placeholder';
        $title = $element[$i]['subform'][$settings['filter_by']]['widget']['#title'];
        $value_id = $element[$i]['subform'][$settings['filter_by']]['widget']['#default_value'][0];
        $value = $element[$i]['subform'][$settings['filter_by']]['widget']['#options'][$value_id];
        $element[$i]['subform'][$field_name] = [
          '#type' => 'markup',
          '#markup' => '<label>' . $title .'</label><div>' . $value . '</div>',
        ];
      }
    }
  }
}
